### Method

# Gimp Image get_parasite_list

#### Declaration [src]

    gchar**
    gimp_image_get_parasite_list (
      GimpImage* image
    )

#### Description [src]

List all parasites.

Returns a list of the names of all currently attached parasites. These names can later be used to get the actual `GimpParasite` with `gimp_image_get_parasite()` when needed.

Available since: | 2.8

#### Return value

Returns: | An array of `utf8`

         The names of currently attached parasites.
         The returned value must be freed with g_strfreev().

| The array is `NULL`-terminated.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| Each element is a NUL terminated UTF-8 string.